## qtify 0.0.1-1

=== debian/changelog ===
qtify (0.0.1-1) unstable; urgency=low

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- Robin Nilsson <robinnilsson@gmail.com>  Mon, 28 Dec 2009 23:23:49 +0000

## qtify 0.0.1-2

=== Makefile ===
###########################################################################
# Makefile for building: Qtify
# Generated by qmake (2.01a) (Qt 4.5.3) on: Mon Dec 28 23:48:32 2009
# Project:  Qtify.pro
# Template: app
# Command: /usr/bin/qmake -unix -o Makefile Qtify.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -g -O0 -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -g -g -O0 -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-gles2 -I. -I/targets/FREMANTLE_ARMEL/usr/include/qt4/QtCore -I/targets/FREMANTLE_ARMEL/usr/include/qt4/QtGui -I/targets/FREMANTLE_ARMEL/usr/include/qt4 -I. -I.
LINK          = g++
LFLAGS        = 
LIBS          = $(SUBLIBS)  -L/usr/lib -Wl,-rpath-link=/usr/lib -L/usr/lib -lao -ldespotify -lQtGui -lQtCore -lpthread
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = main.cpp \
		mainwindow.cpp \
		despotifywrap.cpp \
		audio.cpp \
		despotifyplay.cpp \
		despotifycallback.cpp moc_mainwindow.cpp \
		moc_despotifywrap.cpp \
		moc_despotifyplay.cpp \
		moc_despotifycallback.cpp \
		qrc_resources.cpp
OBJECTS       = main.o \
		mainwindow.o \
		despotifywrap.o \
		audio.o \
		despotifyplay.o \
		despotifycallback.o \
		moc_mainwindow.o \
		moc_despotifywrap.o \
		moc_despotifyplay.o \
		moc_despotifycallback.o \
		qrc_resources.o
DIST          = /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/debug.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		Qtify.pro
QMAKE_TARGET  = Qtify
DESTDIR       = 
TARGET        = Qtify

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET): ui_mainwindow.h $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: Qtify.pro  /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-gles2/qmake.conf /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/debug.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -unix -o Makefile Qtify.pro
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/g++.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/debug.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtGui.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile Qtify.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/Qtify1.0.0 || $(MKDIR) .tmp/Qtify1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/Qtify1.0.0/ && $(COPY_FILE) --parents mainwindow.h despotifywrap.h audio.h despotifyplay.h despotifycallback.h despotify_cpp.h .tmp/Qtify1.0.0/ && $(COPY_FILE) --parents resources.qrc .tmp/Qtify1.0.0/ && $(COPY_FILE) --parents main.cpp mainwindow.cpp despotifywrap.cpp audio.cpp despotifyplay.cpp despotifycallback.cpp .tmp/Qtify1.0.0/ && $(COPY_FILE) --parents mainwindow.ui .tmp/Qtify1.0.0/ && (cd `dirname .tmp/Qtify1.0.0` && $(TAR) Qtify1.0.0.tar Qtify1.0.0 && $(COMPRESS) Qtify1.0.0.tar) && $(MOVE) `dirname .tmp/Qtify1.0.0`/Qtify1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/Qtify1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_mainwindow.cpp moc_despotifywrap.cpp moc_despotifyplay.cpp moc_despotifycallback.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_mainwindow.cpp moc_despotifywrap.cpp moc_despotifyplay.cpp moc_despotifycallback.cpp
moc_mainwindow.cpp: despotifywrap.h \
		despotify_cpp.h \
		audio.h \
		despotifyplay.h \
		despotifycallback.h \
		mainwindow.h
	/usr/bin/moc $(DEFINES) $(INCPATH) mainwindow.h -o moc_mainwindow.cpp

moc_despotifywrap.cpp: despotify_cpp.h \
		audio.h \
		despotifyplay.h \
		despotifycallback.h \
		despotifywrap.h
	/usr/bin/moc $(DEFINES) $(INCPATH) despotifywrap.h -o moc_despotifywrap.cpp

moc_despotifyplay.cpp: despotify_cpp.h \
		audio.h \
		despotifyplay.h
	/usr/bin/moc $(DEFINES) $(INCPATH) despotifyplay.h -o moc_despotifyplay.cpp

moc_despotifycallback.cpp: despotify_cpp.h \
		despotifycallback.h
	/usr/bin/moc $(DEFINES) $(INCPATH) despotifycallback.h -o moc_despotifycallback.cpp

compiler_rcc_make_all: qrc_resources.cpp
compiler_rcc_clean:
	-$(DEL_FILE) qrc_resources.cpp
qrc_resources.cpp: resources.qrc \
		res/qtify.png
	/usr/bin/rcc -name resources resources.qrc -o qrc_resources.cpp

compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all: ui_mainwindow.h
compiler_uic_clean:
	-$(DEL_FILE) ui_mainwindow.h
ui_mainwindow.h: mainwindow.ui
	/usr/bin/uic mainwindow.ui -o ui_mainwindow.h

compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean compiler_rcc_clean compiler_uic_clean 

####### Compile

main.o: main.cpp mainwindow.h \
		despotifywrap.h \
		despotify_cpp.h \
		audio.h \
		despotifyplay.h \
		despotifycallback.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o main.o main.cpp

mainwindow.o: mainwindow.cpp mainwindow.h \
		despotifywrap.h \
		despotify_cpp.h \
		audio.h \
		despotifyplay.h \
		despotifycallback.h \
		ui_mainwindow.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o mainwindow.o mainwindow.cpp

despotifywrap.o: despotifywrap.cpp despotifywrap.h \
		despotify_cpp.h \
		audio.h \
		despotifyplay.h \
		despotifycallback.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o despotifywrap.o despotifywrap.cpp

audio.o: audio.cpp audio.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o audio.o audio.cpp

despotifyplay.o: despotifyplay.cpp despotifyplay.h \
		despotify_cpp.h \
		audio.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o despotifyplay.o despotifyplay.cpp

despotifycallback.o: despotifycallback.cpp despotifycallback.h \
		despotify_cpp.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o despotifycallback.o despotifycallback.cpp

moc_mainwindow.o: moc_mainwindow.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_mainwindow.o moc_mainwindow.cpp

moc_despotifywrap.o: moc_despotifywrap.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_despotifywrap.o moc_despotifywrap.cpp

moc_despotifyplay.o: moc_despotifyplay.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_despotifyplay.o moc_despotifyplay.cpp

moc_despotifycallback.o: moc_despotifycallback.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_despotifycallback.o moc_despotifycallback.cpp

qrc_resources.o: qrc_resources.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o qrc_resources.o qrc_resources.cpp

####### Install

install_target: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/bin/ || $(MKDIR) $(INSTALL_ROOT)/usr/bin/ 
	-$(INSTALL_PROGRAM) "$(QMAKE_TARGET)" "$(INSTALL_ROOT)/usr/bin/$(QMAKE_TARGET)"

uninstall_target:  FORCE
	-$(DEL_FILE) "$(INSTALL_ROOT)/usr/bin/$(QMAKE_TARGET)"
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/bin/ 


install_icon: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/share/pixmaps/ || $(MKDIR) $(INSTALL_ROOT)/usr/share/pixmaps/ 
	-$(INSTALL_FILE) /home/maemo/test2/qtify/branches/qtify-0.0.1/icons/qtify.png $(INSTALL_ROOT)/usr/share/pixmaps/


uninstall_icon:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/usr/share/pixmaps/qtify.png
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/share/pixmaps/

=== debian/changelog ===
qtify (0.0.1-2) unstable; urgency=low

  * Update to fix problem with error in .menu file

 -- Robin Nilsson <robinnilsson@gmail.com>  Mon, 28 Dec 2009 00:32:34 +0000

## qtify 0.0.1-3

=== Makefile ===
#############################################################################
# Makefile for building: qtify
# Generated by qmake (2.01a) (Qt 4.6.0) on: Tue Jan 5 23:40:25 2010
# Project:  qtify.pro
# Template: app
# Command: /home/maemo/qtsdk-2009.05/qt/bin/qmake -spec ../../../qtsdk-2009.05/qt/mkspecs/linux-g++ -unix CONFIG+=debug -o Makefile qtify.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -g -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -g -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I../../../qtsdk-2009.05/qt/mkspecs/linux-g++ -I. -I../../../qtsdk-2009.05/qt/include/QtCore -I../../../qtsdk-2009.05/qt/include/QtGui -I../../../qtsdk-2009.05/qt/include -I. -I.
LINK          = g++
LFLAGS        = -Wl,-rpath,/home/maemo/qtsdk-2009.05/qt/lib
LIBS          = $(SUBLIBS)  -L/home/maemo/qtsdk-2009.05/qt/lib -L/usr/lib -lao -ldespotify -lQtGui -L/home/maemo/qtsdk-2009.05/qt/lib -L/usr/X11R6/lib -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /home/maemo/qtsdk-2009.05/qt/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = main.cpp \
		mainwindow.cpp \
		despotifywrap.cpp \
		audio.cpp \
		despotifyplay.cpp \
		despotifycallback.cpp moc_mainwindow.cpp \
		moc_despotifywrap.cpp \
		moc_despotifyplay.cpp \
		moc_despotifycallback.cpp \
		qrc_resources.cpp
OBJECTS       = main.o \
		mainwindow.o \
		despotifywrap.o \
		audio.o \
		despotifyplay.o \
		despotifycallback.o \
		moc_mainwindow.o \
		moc_despotifywrap.o \
		moc_despotifyplay.o \
		moc_despotifycallback.o \
		qrc_resources.o
DIST          = ../../../qtsdk-2009.05/qt/mkspecs/common/g++.conf \
		../../../qtsdk-2009.05/qt/mkspecs/common/unix.conf \
		../../../qtsdk-2009.05/qt/mkspecs/common/linux.conf \
		../../../qtsdk-2009.05/qt/mkspecs/qconfig.pri \
		../../../qtsdk-2009.05/qt/mkspecs/features/qt_functions.prf \
		../../../qtsdk-2009.05/qt/mkspecs/features/qt_config.prf \
		../../../qtsdk-2009.05/qt/mkspecs/features/exclusive_builds.prf \
		../../../qtsdk-2009.05/qt/mkspecs/features/default_pre.prf \
		../../../qtsdk-2009.05/qt/mkspecs/features/debug.prf \
		../../../qtsdk-2009.05/qt/mkspecs/features/default_post.prf \
		../../../qtsdk-2009.05/qt/mkspecs/features/warn_on.prf \
		../../../qtsdk-2009.05/qt/mkspecs/features/qt.prf \
		../../../qtsdk-2009.05/qt/mkspecs/features/unix/thread.prf \
		../../../qtsdk-2009.05/qt/mkspecs/features/moc.prf \
		../../../qtsdk-2009.05/qt/mkspecs/features/resources.prf \
		../../../qtsdk-2009.05/qt/mkspecs/features/uic.prf \
		../../../qtsdk-2009.05/qt/mkspecs/features/yacc.prf \
		../../../qtsdk-2009.05/qt/mkspecs/features/lex.prf \
		../../../qtsdk-2009.05/qt/mkspecs/features/include_source_dir.prf \
		qtify.pro
QMAKE_TARGET  = qtify
DESTDIR       = 
TARGET        = qtify

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET): ui_mainwindow.h $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: qtify.pro  ../../../qtsdk-2009.05/qt/mkspecs/linux-g++/qmake.conf ../../../qtsdk-2009.05/qt/mkspecs/common/g++.conf \
		../../../qtsdk-2009.05/qt/mkspecs/common/unix.conf \
		../../../qtsdk-2009.05/qt/mkspecs/common/linux.conf \
		../../../qtsdk-2009.05/qt/mkspecs/qconfig.pri \
		../../../qtsdk-2009.05/qt/mkspecs/features/qt_functions.prf \
		../../../qtsdk-2009.05/qt/mkspecs/features/qt_config.prf \
		../../../qtsdk-2009.05/qt/mkspecs/features/exclusive_builds.prf \
		../../../qtsdk-2009.05/qt/mkspecs/features/default_pre.prf \
		../../../qtsdk-2009.05/qt/mkspecs/features/debug.prf \
		../../../qtsdk-2009.05/qt/mkspecs/features/default_post.prf \
		../../../qtsdk-2009.05/qt/mkspecs/features/warn_on.prf \
		../../../qtsdk-2009.05/qt/mkspecs/features/qt.prf \
		../../../qtsdk-2009.05/qt/mkspecs/features/unix/thread.prf \
		../../../qtsdk-2009.05/qt/mkspecs/features/moc.prf \
		../../../qtsdk-2009.05/qt/mkspecs/features/resources.prf \
		../../../qtsdk-2009.05/qt/mkspecs/features/uic.prf \
		../../../qtsdk-2009.05/qt/mkspecs/features/yacc.prf \
		../../../qtsdk-2009.05/qt/mkspecs/features/lex.prf \
		../../../qtsdk-2009.05/qt/mkspecs/features/include_source_dir.prf \
		/home/maemo/qtsdk-2009.05/qt/lib/libQtGui.prl \
		/home/maemo/qtsdk-2009.05/qt/lib/libQtCore.prl
	$(QMAKE) -spec ../../../qtsdk-2009.05/qt/mkspecs/linux-g++ -unix CONFIG+=debug -o Makefile qtify.pro
../../../qtsdk-2009.05/qt/mkspecs/common/g++.conf:
../../../qtsdk-2009.05/qt/mkspecs/common/unix.conf:
../../../qtsdk-2009.05/qt/mkspecs/common/linux.conf:
../../../qtsdk-2009.05/qt/mkspecs/qconfig.pri:
../../../qtsdk-2009.05/qt/mkspecs/features/qt_functions.prf:
../../../qtsdk-2009.05/qt/mkspecs/features/qt_config.prf:
../../../qtsdk-2009.05/qt/mkspecs/features/exclusive_builds.prf:
../../../qtsdk-2009.05/qt/mkspecs/features/default_pre.prf:
../../../qtsdk-2009.05/qt/mkspecs/features/debug.prf:
../../../qtsdk-2009.05/qt/mkspecs/features/default_post.prf:
../../../qtsdk-2009.05/qt/mkspecs/features/warn_on.prf:
../../../qtsdk-2009.05/qt/mkspecs/features/qt.prf:
../../../qtsdk-2009.05/qt/mkspecs/features/unix/thread.prf:
../../../qtsdk-2009.05/qt/mkspecs/features/moc.prf:
../../../qtsdk-2009.05/qt/mkspecs/features/resources.prf:
../../../qtsdk-2009.05/qt/mkspecs/features/uic.prf:
../../../qtsdk-2009.05/qt/mkspecs/features/yacc.prf:
../../../qtsdk-2009.05/qt/mkspecs/features/lex.prf:
../../../qtsdk-2009.05/qt/mkspecs/features/include_source_dir.prf:
/home/maemo/qtsdk-2009.05/qt/lib/libQtGui.prl:
/home/maemo/qtsdk-2009.05/qt/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -spec ../../../qtsdk-2009.05/qt/mkspecs/linux-g++ -unix CONFIG+=debug -o Makefile qtify.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/qtify1.0.0 || $(MKDIR) .tmp/qtify1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/qtify1.0.0/ && $(COPY_FILE) --parents mainwindow.h despotifywrap.h audio.h despotifyplay.h despotifycallback.h despotify_cpp.h .tmp/qtify1.0.0/ && $(COPY_FILE) --parents resources.qrc .tmp/qtify1.0.0/ && $(COPY_FILE) --parents main.cpp mainwindow.cpp despotifywrap.cpp audio.cpp despotifyplay.cpp despotifycallback.cpp .tmp/qtify1.0.0/ && $(COPY_FILE) --parents mainwindow.ui .tmp/qtify1.0.0/ && $(COPY_FILE) --parents translations/qtify_sv_SE.ts translations/qtify_nb.ts translations/qtify_fi.ts translations/qtify_du.ts translations/qtify_de.ts translations/qtify_ar_SA.ts .tmp/qtify1.0.0/ && (cd `dirname .tmp/qtify1.0.0` && $(TAR) qtify1.0.0.tar qtify1.0.0 && $(COMPRESS) qtify1.0.0.tar) && $(MOVE) `dirname .tmp/qtify1.0.0`/qtify1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/qtify1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_mainwindow.cpp moc_despotifywrap.cpp moc_despotifyplay.cpp moc_despotifycallback.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_mainwindow.cpp moc_despotifywrap.cpp moc_despotifyplay.cpp moc_despotifycallback.cpp
moc_mainwindow.cpp: despotifywrap.h \
		despotify_cpp.h \
		audio.h \
		despotifyplay.h \
		despotifycallback.h \
		mainwindow.h
	/home/maemo/qtsdk-2009.05/qt/bin/moc $(DEFINES) $(INCPATH) mainwindow.h -o moc_mainwindow.cpp

moc_despotifywrap.cpp: despotify_cpp.h \
		audio.h \
		despotifyplay.h \
		despotifycallback.h \
		despotifywrap.h
	/home/maemo/qtsdk-2009.05/qt/bin/moc $(DEFINES) $(INCPATH) despotifywrap.h -o moc_despotifywrap.cpp

moc_despotifyplay.cpp: despotify_cpp.h \
		audio.h \
		despotifyplay.h
	/home/maemo/qtsdk-2009.05/qt/bin/moc $(DEFINES) $(INCPATH) despotifyplay.h -o moc_despotifyplay.cpp

moc_despotifycallback.cpp: despotify_cpp.h \
		despotifycallback.h
	/home/maemo/qtsdk-2009.05/qt/bin/moc $(DEFINES) $(INCPATH) despotifycallback.h -o moc_despotifycallback.cpp

compiler_rcc_make_all: qrc_resources.cpp
compiler_rcc_clean:
	-$(DEL_FILE) qrc_resources.cpp
qrc_resources.cpp: resources.qrc \
		translations/qtify_nb.qm \
		translations/qtify_du.qm \
		translations/qtify_de.qm \
		translations/qtify_fi.qm \
		translations/qtify_sv_SE.qm \
		translations/qtify_ar_SA.qm \
		res/qtify.png \
		res/rating_2.png \
		res/next.png \
		res/rating_1.png \
		res/rating_4.png \
		res/rating_3.png \
		res/prev.png \
		res/play.png \
		res/rating_5.png \
		res/pause.png
	/home/maemo/qtsdk-2009.05/qt/bin/rcc -name resources resources.qrc -o qrc_resources.cpp

compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all: ui_mainwindow.h
compiler_uic_clean:
	-$(DEL_FILE) ui_mainwindow.h
ui_mainwindow.h: mainwindow.ui
	/home/maemo/qtsdk-2009.05/qt/bin/uic mainwindow.ui -o ui_mainwindow.h

compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean compiler_rcc_clean compiler_uic_clean 

####### Compile

main.o: main.cpp mainwindow.h \
		despotifywrap.h \
		despotify_cpp.h \
		audio.h \
		despotifyplay.h \
		despotifycallback.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o main.o main.cpp

mainwindow.o: mainwindow.cpp mainwindow.h \
		despotifywrap.h \
		despotify_cpp.h \
		audio.h \
		despotifyplay.h \
		despotifycallback.h \
		ui_mainwindow.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o mainwindow.o mainwindow.cpp

despotifywrap.o: despotifywrap.cpp despotifywrap.h \
		despotify_cpp.h \
		audio.h \
		despotifyplay.h \
		despotifycallback.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o despotifywrap.o despotifywrap.cpp

audio.o: audio.cpp audio.h \
		despotify_cpp.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o audio.o audio.cpp

despotifyplay.o: despotifyplay.cpp despotifyplay.h \
		despotify_cpp.h \
		audio.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o despotifyplay.o despotifyplay.cpp

despotifycallback.o: despotifycallback.cpp despotifycallback.h \
		despotify_cpp.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o despotifycallback.o despotifycallback.cpp

moc_mainwindow.o: moc_mainwindow.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_mainwindow.o moc_mainwindow.cpp

moc_despotifywrap.o: moc_despotifywrap.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_despotifywrap.o moc_despotifywrap.cpp

moc_despotifyplay.o: moc_despotifyplay.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_despotifyplay.o moc_despotifyplay.cpp

moc_despotifycallback.o: moc_despotifycallback.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_despotifycallback.o moc_despotifycallback.cpp

qrc_resources.o: qrc_resources.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o qrc_resources.o qrc_resources.cpp

####### Install

install_target: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/bin/ || $(MKDIR) $(INSTALL_ROOT)/usr/bin/ 
	-$(INSTALL_PROGRAM) "$(QMAKE_TARGET)" "$(INSTALL_ROOT)/usr/bin/$(QMAKE_TARGET)"

uninstall_target:  FORCE
	-$(DEL_FILE) "$(INSTALL_ROOT)/usr/bin/$(QMAKE_TARGET)"
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/bin/

=== debian/changelog ===
qtify (0.0.1-3) unstable; urgency=low

  * Several visual fixes... And a couple of performance fixes

 -- Robin Nilsson <robinnilsson@gmail.com>  Ons, 06 Jan 2010 01:25:34 +0000

=== debian/control ===
Source: qtify
Section: user/multimedia
Priority: optional
Maintainer: Robin Nilsson <robinnilsson@gmail.com>
Build-Depends: debhelper (>= 5), libqt4-dev, libao0-dev, despotify,libssl-dev,libvorbis-dev
Standards-Version: 3.7.2

Package: qtify
Architecture: any
Depends: libqt4-core, libqt4-gui, despotify, libao0
Description: An open source spotify client based on despotify.
 An open source spotify client based on despotify,
 note that this package is highly unstable and is
 only intended for testing purposes.

## qtify 0.0.1-4

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: qtify
-# Generated by qmake (2.01a) (Qt 4.6.0) on: Tue Jan 5 23:40:25 2010
+# Generated by qmake (2.01a) (Qt 4.6.0) on: Wed Jan 6 19:48:24 2010
 # Project:  qtify.pro
 # Template: app
 # Command: /home/maemo/qtsdk-2009.05/qt/bin/qmake -spec ../../../qtsdk-2009.05/qt/mkspecs/linux-g++ -unix CONFIG+=debug -o Makefile qtify.pro

=== debian/changelog ===
qtify (0.0.1-4) unstable; urgency=low

  * Stability and usability fixes
  * Should now use despotify r484

 -- Robin Nilsson <robinnilsson@gmail.com>  Thu, 07 Jan 2010 19:23:31 +0000

## qtify 0.0.2

=== Makefile ===
#############################################################################
# Makefile for building: qtify
# Generated by qmake (2.01a) (Qt 4.5.3) on: Sun Jan 10 01:15:59 2010
# Project:  qtify.pro
# Template: app
# Command: /usr/bin/qmake -unix -o Makefile qtify.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -g -O0 -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -g -g -O0 -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-gles2 -I. -I/targets/FREMANTLE_ARMEL/usr/include/qt4/QtCore -I/targets/FREMANTLE_ARMEL/usr/include/qt4/QtGui -I/targets/FREMANTLE_ARMEL/usr/include/qt4 -I. -I.
LINK          = g++
LFLAGS        = 
LIBS          = $(SUBLIBS)  -L/usr/lib -Wl,-rpath-link=/usr/lib -L/usr/lib -lao -ldespotify -lQtGui -lQtCore -lpthread
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = main.cpp \
		mainwindow.cpp \
		despotifywrap.cpp \
		audio.cpp \
		despotifyplay.cpp \
		despotifycallback.cpp moc_mainwindow.cpp \
		moc_despotifywrap.cpp \
		moc_despotifyplay.cpp \
		moc_despotifycallback.cpp \
		qrc_resources.cpp
OBJECTS       = main.o \
		mainwindow.o \
		despotifywrap.o \
		audio.o \
		despotifyplay.o \
		despotifycallback.o \
		moc_mainwindow.o \
		moc_despotifywrap.o \
		moc_despotifyplay.o \
		moc_despotifycallback.o \
		qrc_resources.o
DIST          = /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/debug.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		qtify.pro
QMAKE_TARGET  = qtify
DESTDIR       = 
TARGET        = qtify

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET): ui_mainwindow.h $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: qtify.pro  /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-gles2/qmake.conf /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/debug.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -unix -o Makefile qtify.pro
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/g++.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/debug.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtGui.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile qtify.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/qtify1.0.0 || $(MKDIR) .tmp/qtify1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/qtify1.0.0/ && $(COPY_FILE) --parents mainwindow.h despotifywrap.h audio.h despotifyplay.h despotifycallback.h despotify_cpp.h .tmp/qtify1.0.0/ && $(COPY_FILE) --parents resources.qrc .tmp/qtify1.0.0/ && $(COPY_FILE) --parents main.cpp mainwindow.cpp despotifywrap.cpp audio.cpp despotifyplay.cpp despotifycallback.cpp .tmp/qtify1.0.0/ && $(COPY_FILE) --parents mainwindow.ui .tmp/qtify1.0.0/ && $(COPY_FILE) --parents translations/qtify_sv_SE.ts translations/qtify_nb.ts translations/qtify_fi.ts translations/qtify_du.ts translations/qtify_de.ts translations/qtify_ar_SA.ts translations/qtify_no.ts .tmp/qtify1.0.0/ && (cd `dirname .tmp/qtify1.0.0` && $(TAR) qtify1.0.0.tar qtify1.0.0 && $(COMPRESS) qtify1.0.0.tar) && $(MOVE) `dirname .tmp/qtify1.0.0`/qtify1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/qtify1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_mainwindow.cpp moc_despotifywrap.cpp moc_despotifyplay.cpp moc_despotifycallback.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_mainwindow.cpp moc_despotifywrap.cpp moc_despotifyplay.cpp moc_despotifycallback.cpp
moc_mainwindow.cpp: despotifywrap.h \
		despotify_cpp.h \
		audio.h \
		despotifyplay.h \
		despotifycallback.h \
		mainwindow.h
	/usr/bin/moc $(DEFINES) $(INCPATH) mainwindow.h -o moc_mainwindow.cpp

moc_despotifywrap.cpp: despotify_cpp.h \
		audio.h \
		despotifyplay.h \
		despotifycallback.h \
		despotifywrap.h
	/usr/bin/moc $(DEFINES) $(INCPATH) despotifywrap.h -o moc_despotifywrap.cpp

moc_despotifyplay.cpp: despotify_cpp.h \
		audio.h \
		despotifyplay.h
	/usr/bin/moc $(DEFINES) $(INCPATH) despotifyplay.h -o moc_despotifyplay.cpp

moc_despotifycallback.cpp: despotify_cpp.h \
		despotifycallback.h
	/usr/bin/moc $(DEFINES) $(INCPATH) despotifycallback.h -o moc_despotifycallback.cpp

compiler_rcc_make_all: qrc_resources.cpp
compiler_rcc_clean:
	-$(DEL_FILE) qrc_resources.cpp
qrc_resources.cpp: resources.qrc \
		translations/qtify_nb.qm \
		translations/qtify_du.qm \
		translations/qtify_de.qm \
		translations/qtify_fi.qm \
		translations/qtify_no.ts \
		translations/qtify_sv_SE.qm \
		translations/qtify_ar_SA.qm \
		res/qtify.png \
		res/rating_2.png \
		res/next.png \
		res/rating_1.png \
		res/rating_4.png \
		res/rating_3.png \
		res/prev.png \
		res/play.png \
		res/rating_5.png \
		res/pause.png
	/usr/bin/rcc -name resources resources.qrc -o qrc_resources.cpp

compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all: ui_mainwindow.h
compiler_uic_clean:
	-$(DEL_FILE) ui_mainwindow.h
ui_mainwindow.h: mainwindow.ui
	/usr/bin/uic mainwindow.ui -o ui_mainwindow.h

compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean compiler_rcc_clean compiler_uic_clean 

####### Compile

main.o: main.cpp mainwindow.h \
		despotifywrap.h \
		despotify_cpp.h \
		audio.h \
		despotifyplay.h \
		despotifycallback.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o main.o main.cpp

mainwindow.o: mainwindow.cpp mainwindow.h \
		despotifywrap.h \
		despotify_cpp.h \
		audio.h \
		despotifyplay.h \
		despotifycallback.h \
		ui_mainwindow.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o mainwindow.o mainwindow.cpp

despotifywrap.o: despotifywrap.cpp despotifywrap.h \
		despotify_cpp.h \
		audio.h \
		despotifyplay.h \
		despotifycallback.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o despotifywrap.o despotifywrap.cpp

audio.o: audio.cpp audio.h \
		despotify_cpp.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o audio.o audio.cpp

despotifyplay.o: despotifyplay.cpp despotifyplay.h \
		despotify_cpp.h \
		audio.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o despotifyplay.o despotifyplay.cpp

despotifycallback.o: despotifycallback.cpp despotifycallback.h \
		despotify_cpp.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o despotifycallback.o despotifycallback.cpp

moc_mainwindow.o: moc_mainwindow.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_mainwindow.o moc_mainwindow.cpp

moc_despotifywrap.o: moc_despotifywrap.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_despotifywrap.o moc_despotifywrap.cpp

moc_despotifyplay.o: moc_despotifyplay.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_despotifyplay.o moc_despotifyplay.cpp

moc_despotifycallback.o: moc_despotifycallback.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_despotifycallback.o moc_despotifycallback.cpp

qrc_resources.o: qrc_resources.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o qrc_resources.o qrc_resources.cpp

####### Install

install_target: first FORCE

=== debian/changelog ===
qtify (0.0.2) unstable; urgency=low

  * NoPredictiveText and NoAutoUppercase on login lineedits (username and password)
  * Enter in searchbox commits search
  * Removed searchbutton and select playlist button
  * Added cleanup code on exit
  * Removed unnecessary code in mainwindow.cpp
  * Optimized player thread (lower cpu usage and better respose-times)
  * Updated norwegian translation (by vasshus)

 -- Robin Nilsson <robinnilsson@gmail.com>  Sun, 10 Jan 2010 01:48:23 +0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: user/multimedia
 Priority: optional
 Maintainer: Robin Nilsson <robinnilsson@gmail.com>
-Build-Depends: debhelper (>= 5), libqt4-dev, libao0-dev, despotify,libssl-dev,libvorbis-dev
+Build-Depends: debhelper (>= 5), libqt4-dev, libao0, despotify,libssl-dev,libvorbis-dev
 Standards-Version: 3.7.2
 
 Package: qtify

## qtify 0.0.3

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: qtify
-# Generated by qmake (2.01a) (Qt 4.5.3) on: Sun Jan 10 01:15:59 2010
+# Generated by qmake (2.01a) (Qt 4.5.3) on: Thu Jan 14 23:22:17 2010
 # Project:  qtify.pro
 # Template: app
 # Command: /usr/bin/qmake -unix -o Makefile qtify.pro
@@ -10,12 +10,12 @@
 
 CC            = gcc
 CXX           = g++
-DEFINES       = -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
-CFLAGS        = -pipe -g -O0 -Wall -W -D_REENTRANT $(DEFINES)
-CXXFLAGS      = -pipe -g -g -O0 -Wall -W -D_REENTRANT $(DEFINES)
+DEFINES       = -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
+CFLAGS        = -pipe -O3 -g -Wall -W -D_REENTRANT $(DEFINES)
+CXXFLAGS      = -pipe -O3 -g -Wall -W -D_REENTRANT $(DEFINES)
 INCPATH       = -I/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-gles2 -I. -I/targets/FREMANTLE_ARMEL/usr/include/qt4/QtCore -I/targets/FREMANTLE_ARMEL/usr/include/qt4/QtGui -I/targets/FREMANTLE_ARMEL/usr/include/qt4 -I. -I.
 LINK          = g++
-LFLAGS        = 
+LFLAGS        = -Wl,-O1
 LIBS          = $(SUBLIBS)  -L/usr/lib -Wl,-rpath-link=/usr/lib -L/usr/lib -lao -ldespotify -lQtGui -lQtCore -lpthread
 AR            = ar cqs
 RANLIB        = 
@@ -71,7 +71,7 @@
 		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
 		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
 		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
-		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/debug.prf \
+		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
 		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
 		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
 		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
@@ -122,7 +122,7 @@
 		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
 		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
 		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
-		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/debug.prf \
+		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
 		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
 		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
 		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
@@ -144,7 +144,7 @@
 /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf:
 /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
 /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf:
-/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/debug.prf:
+/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf:
 /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf:
 /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf:
 /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf:
@@ -162,7 +162,7 @@
 
 dist: 
 	@$(CHK_DIR_EXISTS) .tmp/qtify1.0.0 || $(MKDIR) .tmp/qtify1.0.0 
-	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/qtify1.0.0/ && $(COPY_FILE) --parents mainwindow.h despotifywrap.h audio.h despotifyplay.h despotifycallback.h despotify_cpp.h .tmp/qtify1.0.0/ && $(COPY_FILE) --parents resources.qrc .tmp/qtify1.0.0/ && $(COPY_FILE) --parents main.cpp mainwindow.cpp despotifywrap.cpp audio.cpp despotifyplay.cpp despotifycallback.cpp .tmp/qtify1.0.0/ && $(COPY_FILE) --parents mainwindow.ui .tmp/qtify1.0.0/ && $(COPY_FILE) --parents translations/qtify_sv_SE.ts translations/qtify_nb.ts translations/qtify_fi.ts translations/qtify_du.ts translations/qtify_de.ts translations/qtify_ar_SA.ts translations/qtify_no.ts .tmp/qtify1.0.0/ && (cd `dirname .tmp/qtify1.0.0` && $(TAR) qtify1.0.0.tar qtify1.0.0 && $(COMPRESS) qtify1.0.0.tar) && $(MOVE) `dirname .tmp/qtify1.0.0`/qtify1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/qtify1.0.0
+	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/qtify1.0.0/ && $(COPY_FILE) --parents mainwindow.h despotifywrap.h audio.h despotifyplay.h despotifycallback.h despotify_cpp.h .tmp/qtify1.0.0/ && $(COPY_FILE) --parents resources.qrc .tmp/qtify1.0.0/ && $(COPY_FILE) --parents main.cpp mainwindow.cpp despotifywrap.cpp audio.cpp despotifyplay.cpp despotifycallback.cpp .tmp/qtify1.0.0/ && $(COPY_FILE) --parents mainwindow.ui .tmp/qtify1.0.0/ && $(COPY_FILE) --parents translations/qtify_sv_SE.ts translations/qtify_nb.ts translations/qtify_fi.ts translations/qtify_du.ts translations/qtify_de.ts translations/qtify_ar_SA.ts translations/qtify_no.ts translations/qtify_bs.ts .tmp/qtify1.0.0/ && (cd `dirname .tmp/qtify1.0.0` && $(TAR) qtify1.0.0.tar qtify1.0.0 && $(COMPRESS) qtify1.0.0.tar) && $(MOVE) `dirname .tmp/qtify1.0.0`/qtify1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/qtify1.0.0
 
 
 clean:compiler_clean 
@@ -306,4 +306,3 @@
 
 ####### Install
 
-install_target: first FORCE

=== debian/changelog ===
qtify (0.0.3) unstable; urgency=low

  * Various gui and performance fixes
  * Updated GUI to match PR1.1

 -- Robin Nilsson <robinnilsson@gmail.com>  Fri, 15 Jan 2010 00:31:23  +0000

=== debian/rules ===
#!/usr/bin/make -f
APPNAME := qtify
builddir:
	mkdir -p builddir

builddir/Makefile: builddir
	cd builddir && qmake-qt4 PREFIX=/usr ../$(APPNAME).pro

build: build-stamp

build-stamp: builddir/Makefile
	dh_testdir
	# Add here commands to compile the package.
	cd builddir && $(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	# Add here commands to clean up after the build process.
	rm -rf builddir
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/qtify
	cd builddir && $(MAKE) INSTALL_ROOT=$(CURDIR)/debian/$(APPNAME) install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## qtify 0.1.0

=== debian/changelog ===
qtify (0.1.0) unstable; urgency=low

  * Separated playlist/search view
  * Added hildon menu
  * Added remember password function (Thanks to Micke Nordin)
  * Added album view (click in album column to show)
  * Single click now plays songs
  * Made logo transparent
  * Various small UI improvements
  * Updated Swedish translations (others is now outdated)
  
 -- Robin Nilsson <robinnilsson@gmail.com>  Mon, 18 Jan 2010 19:26:40  +0100

=== debian/control ===
Source: qtify
Section: user/multimedia
Priority: optional
Maintainer: Robin Nilsson <robinnilsson@gmail.com>
Build-Depends: debhelper (>= 5), libqt4-dev, libao0, libdespotify-dev,libssl-dev,libvorbis-dev
Standards-Version: 3.7.2

Package: qtify
Architecture: any
Depends: libqt4-core, libqt4-gui, libdespotify, libao0
Description: An open source spotify client based on despotify.
 An open source spotify client based on despotify,
 note that this package is highly unstable and is
 only intended for testing purposes.
